WatchtowerDB = {};
local L = WT_Locale;

WatchtowerDB.containers = {

	{name = "WT_Counters",
		x = 300, 
		y = 150, 
		self_anchor = "TOPLEFT",
		relativeto = "WT_Content",
		parent_anchor = "TOPLEFT",
		x_offset = 5,
		y_offset = -5,
		title = "Counters",
	},

	{name = "WT_Duration", 
		x= 300,
		y= 150,
		self_anchor = "TOP",
		relativeto = "WT_Counters",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Special"
	},

	{name = "WT_Group", 
		x= 300,
		y= 150,
		self_anchor = "TOP",
		relativeto = "WT_Duration",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Group Bonus"
	},
	
	{name = "WT_Slayer", 
		x= 300,
		y= 150,
		self_anchor = "TOP",
		relativeto = "WT_Group",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Enemy Race Bonus"
	},
	
	{name = "WT_Terrain", 
		x= 300,
		y= 150,
		self_anchor = "TOP",
		relativeto = "WT_Slayer",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Terrain Bonus"
	},
	
	{name = "WT_Profession", 
		x= 300,
		y= 150,
		self_anchor = "TOP",
		relativeto = "WT_Terrain",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Professions"
	},
	
	{name = "WT_Experience", 
		x= 300,
		y= 150,
		self_anchor = "TOP",
		relativeto = "WT_Profession",
		parent_anchor = "BOTTOM",
		x_offset = 0,
		y_offset = -5,
		title = "Exp Bonus"
	},
	
	
};

WatchtowerDB.counters = {

	{name = L["Wild Aggression"],
		icon = "Interface\\ICONS\\Spell_Nature_Reincarnation.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Counters",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 50,
		y_offset = 5,
		active = {},
		inactive = {},
		texture_name_active = "Wild_Aggression_Active",
		texture_name_inactive = "Wild_Aggression_Inactive",
		button_name = "WT_Wild Aggression",
	},

	{name = "Massive Strike",
		icon = "Interface\\ICONS\\Ability_Warrior_SavageBlow.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Wild Aggression",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Massive_Strike_Active",
		texture_name_inactive = "Massive_Strike_Inactive",
		button_name = "WT_Massive Strike",
	},
	
	{name = "Group Damage",
		icon = "Interface\\ICONS\\Spell_Fire_SelfDestruct.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Massive Strike",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Group_Damage_Active",
		texture_name_inactive= "Group_Damage_Inactive",
		button_name = "WT_Group Damage",
	},
	
	
	{name = "Magic Debuff",
		icon = "Interface\\ICONS\\Spell_Shadow_ShadowWordPain.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Group Damage",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Magic_Debuff_Active",	
		texture_name_inactive= "Magic_Debuff_Inactive",
		button_name = "WT_Magic Debuff",
	},
		
	{name = "Danger Zones",
		icon = "Interface\\ICONS\\spell_Shaman_Earthquake.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Magic Debuff",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Danger_Zones_Active",	
		texture_name_inactive = "Danger_Zones_Inactive",	
		button_name = "WT_Danger Zones",
	},
		
	{name = "Minion Swarms",
		icon = "Interface\\ICONS\\Spell_DeathKnight_ArmyOfTheDead.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Danger Zones",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Minion_Swarms_Active",
		texture_name_inactive = "Minion_Swarms_Inactive",
		button_name = "WT_Minion Swarms",
	},
		
	{name = "Powerful Spell",
		icon = "Interface\\ICONS\\Spell_Shadow_ShadowBolt.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Minion Swarms",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Powerful_Spell_Active",
		texture_name_inactive = "Powerful_Spell_Inactive",
		button_name = "WT_Powerful Spell",
	},
		
	{name = "Deadly Minions",
		icon = "Interface\\ICONS\\Achievement_Boss_TwinOrcBrutes.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Powerful Spell",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Deadly_Minions_Active",
		texture_name_inactive = "Deadly_Minions_Inactive",
		button_name = "WT_Deadly Minions",
	},
		
	{name = "Timed Battle",
		icon = "Interface\\ICONS\\SPELL_HOLY_BORROWEDTIME.BLP",
		self_anchor = "LEFT",
		relativeto = "WT_Deadly Minions",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Timed_Battle_Active",	
		texture_name_inactive = "Timed_Battle_Inactive",	
		button_name = "WT_Timed Battle",
	},
	
	
	
	
	
}

WatchtowerDB.specials = {
	
	{name = "Epic Mount",
		icon = "Interface\\ICONS\\MountJournalPortrait.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Duration",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 26,
		y_offset = 5,
		active = {},
		inactive = {},
		texture_name_active = "Epic_Mount_Active",
		texture_name_inactive = "Epic_Mount_Inactive",
		button_name = "WT_Epic Mount",
	},
	
	{name = "High Stamina",
		icon = "Interface\\ICONS\\Spell_Holy_WordFortitude.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Epic Mount",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "High_Stamina_Active",
		texture_name_inactive = "High_Stamina_Inactive",
		button_name = "WT_High Stamina",
	},
		
	{name = "Burst of Power",
		icon = "Interface\\ICONS\\Spell_Nature_ShamanRage.blp",
		self_anchor = "LEFT",
		relativeto = "WT_High Stamina",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Burst_of_Power_Active",
		texture_name_inactive = "Burst_of_Power_Inactive",
		button_name = "WT_Burst of Power",
	},
		
	{name = "Scavenger",
		icon = "Interface\\ICONS\\ACHIEVEMENT_GUILDPERK_BOUNTIFULBAGS.BLP",
		self_anchor = "LEFT",
		relativeto = "WT_Burst of Power",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Scavenger_Active",
		texture_name_inactive = "Scavenger_Inactive",
		button_name = "WT_Scavenger",
	},
		
	{name = "Dancer",
		icon = "Interface\\ICONS\\Ability_Hunter_Displacement.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Scavenger",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Dancer_Active",
		texture_name_inactive = "Dancer_Inactive",
		button_name = "WT_Dancer",
	},
	
	{name = "Treasure Hunter",
		icon = "Interface\\ICONS\\Ability_Racial_PackHobgoblin.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Dancer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Treasure_Hunter_Active",
		texture_name_inactive = "Treasure_Hunter_Inactive",
		button_name = "WT_Treasure Hunter",
	},
	
	{name = "Combat Experience",
		icon = "Interface\\ICONS\\ability_rogue_combatreadiness.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Treasure Hunter",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Combat_Experience_Active",
		texture_name_inactive = "Combat_Experience_Inactive",
		button_name = "WT_Combat Experience",
	},
	
	{name = "Mentor",
		icon = "Interface\\ICONS\\TRADE_ARCHAEOLOGY_DRAENEI_TOME.BLP",
		self_anchor = "LEFT",
		relativeto = "WT_Combat Experience",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Mentor_Active",
		texture_name_inactive = "Mentor_Inactive",
		button_name = "WT_Mentor",
	},
	
	{name = "Evergreen",
		icon = "Interface\\ICONS\\Ability_Druid_ManaTree.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Mentor",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Evergreen_Active",
		texture_name_inactive = "Evergreen_Inactive",
		button_name = "WT_Evergreen",
	},
	
	{name = "Master Assassin",
		icon = "Interface\\ICONS\\ability_rogue_deadliness.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Evergreen",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Master_Assassin_Active",
		texture_name_inactive = "Master_Assassin_Inactive",
		button_name = "WT_Master Assassin",
	},
	
	{name = "Greasemonkey",
		icon = "Interface\\ICONS\\Ability_Vehicle_OilJets.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Master Assassin",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Greasemonkey_Active",
		texture_name_inactive = "Greasemonkey_Inactive",
		button_name = "WT_Greasemonkey",
	},
	
}

WatchtowerDB.experience = {
	
	{name = "Extra Training",
		icon = "Interface\\ICONS\\Garrison_Building_SparringArena.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Experience",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 118,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Extra_Training_Active",
		texture_name_inactive = "Extra_Training_Inactive",
		button_name = "WT_Extra Training",
	},
		
	{name = "Hearthstone Pro",
		icon = "Interface\\ICONS\\Item_Hearthstone_Card.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Extra Training",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Hearthstone_Pro_Active",
		texture_name_inactive = "Hearthstone_Pro_Inactive",	
		button_name = "WT_Hearthstone Pro",
	},
		
	{name = "Fast Learner",
		icon = "Interface\\ICONS\\Ability_Mage_StudentOfTheMind.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Hearthstone Pro",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Fast_Learner_Active",
		texture_name_inactive = "Fast_Learner_Inactive",	
		button_name = "WT_Fast Learner",
	},
	

}

WatchtowerDB.groupa = {

	{name = "Gnome Lover",
		icon = "Interface\\ICONS\\Achievement_Character_Gnome_Male.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Group",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 26,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Gnome_Lover_Active",
		texture_name_inactive = "Gnome_Lover_Inactive",	
		button_name = "WT_Gnome Lover",
	},
		
	{name = "Humanist",
		icon = "Interface\\ICONS\\Achievement_Character_Human_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Gnome Lover",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Humanist_Active",
		texture_name_inactive = "Humanist_Inactive",	
		button_name = "WT_Humanist",
	},
		
	{name = "Dwarvenborn",
		icon = "Interface\\ICONS\\Achievement_Character_Dwarf_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Humanist",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Dwarvenborn_Active",
		texture_name_inactive = "Dwarvenborn_Inactive",
		button_name = "WT_Dwarvenborn",
	},
		
	{name = "Child of the Moon",
		icon = "Interface\\ICONS\\Achievement_Character_Nightelf_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Dwarvenborn",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Child_of_the_Moon_Active",
		texture_name_inactive = "Child_of_the_Moon_Inactive",
		button_name = "WT_Child of the Moon",
	},
	
	{name = "Ally of Argus",
		icon = "Interface\\ICONS\\Achievement_Character_Draenei_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Child of the Moon",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Ally_of_Argus_Active",
		texture_name_inactive = "Ally_of_Argus_Inactive",
		button_name = "WT_Ally of Argus",
	},
	
	{name = "Canine Companion",
		icon = "Interface\\ICONS\\Ability_Worgen_DarkFlight.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Ally of Argus",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Canine_Companion_Active",
		texture_name_inactive = "Canine_Companion_Inactive",
		button_name = "WT_Canine Companion",
	},
	
	{name = "Brew Aficionado",
		icon = "Interface\\ICONS\\Achievement_Character_Pandaren_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Canine Companion",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Brew_Aficionado_Active",
		texture_name_inactive = "Brew_Aficionado_Inactive",
		button_name = "WT_Brew Aficionado",
	},
		
	{name = "Ogre Buddy",
		icon = "Interface\\ICONS\\Achievement_Boss_HighMaul_King.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Brew Aficionado",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Ogre_Buddy_Active",
		texture_name_inactive = "Ogre_Buddy_Inactive",
		button_name = "WT_Ogre Buddy",
	},	
	
	{name = "Mechano Affictionado",
		icon = "Interface\\ICONS\\achievement_boss_xt002deconstructor_01",
		self_anchor = "LEFT",
		relativeto = "WT_Ogre Buddy",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Mechano_Affictionado_Active",
		texture_name_inactive = "Mechano_Affictionado_Inactive",
		button_name = "WT_Mechano Affictionado",
	},
	
	{name = "Bird Watcher",
		icon = "Interface\\ICONS\\inv_tabard_a_76arakkoaoutcast",
		self_anchor = "LEFT",
		relativeto = "WT_Mechano Affictionado",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Bird_Watcher_Active",
		texture_name_inactive = "Bird_Watcher_Inactive",
		button_name = "WT_Bird Watcher",
	},

	{name = "Wildling",
		icon = "Interface\\ICONS\\inv_misc_head_tiger_01",
		self_anchor = "LEFT",
		relativeto = "WT_Bird Watcher",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Wildling_Active",
		texture_name_inactive = "Wildling_Inactive",
		button_name = "WT_Wildling",
	},
	
	
}

WatchtowerDB.grouph = {

	{name = "Child of Draenor",
		icon = "Interface\\ICONS\\Achievement_Character_Orc_Female.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Group",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 26,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Child_of_Draenor_Active",
		texture_name_inactive = "Child_of_Draenor_Inactive",	
		button_name = "WT_Child of Draenor",
	},
	
	{name = "Death Fascination",
		icon = "Interface\\ICONS\\Achievement_Character_Undead_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Child of Draenor",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Death_Fascination_Active",
		texture_name_inactive = "Death_Fascination_Inactive",
		button_name = "WT_Death Fascination",
	},
	
	{name = "Totemist",
		icon = "Interface\\ICONS\\Achievement_Character_Tauren_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Death Fascination",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Totemist_Active",
		texture_name_inactive = "Totemist_Inactive",
		button_name = "WT_Totemist",
	},
	
	{name = "Voodoo Zealot",
		icon = "Interface\\ICONS\\Achievement_Character_Troll_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Totemist",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Voodoo_Zealot_Active",
		texture_name_inactive = "Voodoo_Zealot_Inactive",
		button_name = "WT_Voodoo Zealot",
	},
	
	{name = "Elvenkind",
		icon = "Interface\\ICONS\\Achievement_Character_Bloodelf_Male.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Voodoo Zealot",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Elvenkind_Active",
		texture_name_inactive = "Elvenkind_Inactive",
		button_name = "WT_Elvenkind",
	},
	
	{name = "Economist",
		icon = "Interface\\ICONS\\achievement_FemaleGoblinhead.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Elvenkind",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Economist_Active",
		texture_name_inactive = "Economist_Inactive",
		button_name = "WT_Economist",
	},
	
	{name = "Brew Aficionado",
		icon = "Interface\\ICONS\\Achievement_Character_Pandaren_Female.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Economist",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Brew_Aficionado_Active",
		texture_name_inactive = "Brew_Aficionado_Inactive",
		button_name = "WT_Brew Aficionado",
	},

	{name = "Ogre Buddy",
		icon = "Interface\\ICONS\\Achievement_Boss_HighMaul_King.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Brew Aficionado",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Ogre_Buddy_Active",
		texture_name_inactive = "Ogre_Buddy_Inactive",
		button_name = "WT_Ogre Buddy",
	},	
	
	{name = "Mechano Affictionado",
		icon = "Interface\\ICONS\\achievement_boss_xt002deconstructor_01",
		self_anchor = "LEFT",
		relativeto = "WT_Ogre Buddy",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Mechano_Affictionado_Active",
		texture_name_inactive = "Mechano_Affictionado_Inactive",
		button_name = "WT_Mechano Affictionado",
	},
	
	{name = "Bird Watcher",
		icon = "Interface\\ICONS\\inv_tabard_a_76arakkoaoutcast",
		self_anchor = "LEFT",
		relativeto = "WT_Mechano Affictionado",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Bird_Watcher_Active",
		texture_name_inactive = "Bird_Watcher_Inactive",
		button_name = "WT_Bird Watcher",
	},

	{name = "Wildling",
		icon = "Interface\\ICONS\\inv_misc_head_tiger_01",
		self_anchor = "LEFT",
		relativeto = "WT_Bird Watcher",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Wildling_Active",
		texture_name_inactive = "Wildling_Inactive",
		button_name = "WT_Wildling",
	},
	
}

WatchtowerDB.slayer = {

	{name = "Orcslayer",
		icon = "Interface\\ICONS\\Achievement_Boss_General_Nazgrim.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Slayer",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 48,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Orcslayer_Active",
		texture_name_inactive = "Orcslayer_Inactive",
		button_name = "WT_Orcslayer",
	},
	
	{name = "Demonslayer",
		icon = "Interface\\ICONS\\Achievement_Boss_PrinceMalchezaar_02.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Orcslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Demonslayer_Active",
		texture_name_inactive = "Demonslayer_Inactive",
		button_name = "WT_Demonslayer",
	},
	
	{name = "Beastslayer",
		icon = "Interface\\ICONS\\Achievement_Boss_kingdred.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Demonslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Beastslayer_Active",
		texture_name_inactive = "Beastslayer_Inactive",
		button_name = "WT_Beastslayer",
	},
	
	{name = "Ogreslayer",
		icon = "Interface\\ICONS\\Achievement_Reputation_Ogre.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Beastslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Ogreslayer_Active",
		texture_name_inactive = "Ogreslayer_Inactive",
		button_name = "WT_Ogreslayer",
	},
	
	{name = "Primalslayer",
		icon = "Interface\\ICONS\\Achievement_Boss_YoggSaron_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Ogreslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Primalslayer_Active",
		texture_name_inactive = "Primalslayer_Inactive",
		button_name = "WT_Primalslayer",
	},
	
	{name = "Gronnslayer",
		icon = "Interface\\ICONS\\Achievement_Boss_GruulTheDragonkiller.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Primalslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Gronnslayer_Active",
		texture_name_inactive = "Gronnslayer_Inactive",
		button_name = "WT_Gronnslayer",
	},
	
	{name = "Furyslayer",
		icon = "Interface\\ICONS\\Achievement_Boss_Ragnaros.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Gronnslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Furyslayer_Active",
		texture_name_inactive = "Furyslayer_Inactive",
		button_name = "WT_Furyslayer",
	},
	
	{name = "Voidslayer",
		icon = "Interface\\ICONS\\Achievement_Boss_Zuramat.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Furyslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Voidslayer_Active",
		texture_name_inactive = "Voidslayer_Inactive",
		button_name = "WT_Voidslayer",
	},
	
	{name = "Talonslayer",
		icon = "Interface\\ICONS\\INV_RavenLordPet.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Voidslayer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Talonslayer_Active",
		texture_name_inactive = "Talonslayer_Inactive",
		button_name = "WT_Talonslayer",
	},

}

WatchtowerDB.terrain = {

	{name = "Mountaineer",
		icon = "Interface\\ICONS\\Achievement_Zone_ThousandNeedles_01.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Terrain",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 60,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Mountaineer_Active",
		texture_name_inactive = "Mountaineer_Inactive",
		button_name = "WT_Mountaineer",
	},

	{name = "Cold-Blooded",
		icon = "Interface\\ICONS\\Achievement_Zone_StormPeaks_02.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Mountaineer",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Cold-Blooded_Active",
		texture_name_inactive = "Cold-Blooded_Inactive",
		button_name = "WT_Cold-Blooded",
	},
	
	{name = "Wastelander",
		icon = "Interface\\ICONS\\Achievement_Zone_Tanaris_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Cold-Blooded",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Wastelander_Active",
		texture_name_inactive = "Wastelander_Inactive",
		button_name = "WT_Wastelander",
	},
	
	{name = "Naturalist",
		icon = "Interface\\ICONS\\Achievement_Zone_Silverpine_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Wastelander",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Naturalist_Active",
		texture_name_inactive = "Naturalist_Inactive",
		button_name = "WT_Naturalist",
	},
	
	{name = "Cave Dweller",
		icon = "Interface\\ICONS\\Achievement_Dungeon_Deepholm.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Naturalist",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Cave_Dweller_Active",
		texture_name_inactive = "Cave_Dweller_Inactive",
		button_name = "WT_Cave Dweller",
	},
	
	{name = "Guerilla Fighter",
		icon = "Interface\\ICONS\\Achievement_Zone_UnGoroCrater_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Cave Dweller",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Guerilla_Fighter_Active",
		texture_name_inactive = "Guerilla_Fighter_Inactive",
		button_name = "WT_Guerilla Fighter",
	},
	
	{name = "Marshwalker",
		icon = "Interface\\ICONS\\Achievement_Zone_Sholazar_03.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Guerilla Fighter",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Marshwalker_Active",
		texture_name_inactive = "Marshwalker_Inactive",
		button_name = "WT_Marshwalker",
	},
	
	{name = "Plainsrunner",
		icon = "Interface\\ICONS\\Achievement_Zone_ArathiHighlands_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Marshwalker",
		parent_anchor = "RIGHT",
		x_offset = 5,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Plainsrunner_Active",
		texture_name_inactive = "Plainsrunner_Inactive",
		button_name = "WT_Plainsrunner",
	},

	
	
}

WatchtowerDB.profession = {

	{name = "Mining",
		icon = "Interface\\ICONS\\Trade_Mining.blp",
		self_anchor = "BOTTOMLEFT",
		relativeto = "WT_Profession",
		parent_anchor = "BOTTOMLEFT",
		x_offset = 27,
		y_offset = 6,
		active = {},
		inactive = {},
		texture_name_active = "Mining_Active",
		texture_name_inactive = "Mining_Inactive",
		button_name = "WT_Mining",
	},
	
	{name = "Herbalism",
		icon = "Interface\\ICONS\\Trade_Herbalism.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Mining",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Herbalism_Active",
		texture_name_inactive = "Herbalism_Inactive",
		button_name = "WT_Herbalism",
	},
	
	{name = "Alchemy",
		icon = "Interface\\ICONS\\Trade_Alchemy.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Herbalism",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Alchemy_Active",
		texture_name_inactive = "Alchemy_Inactive",
		button_name = "WT_Alchemy",
	},
	
	{name = "Blacksmithing",
		icon = "Interface\\ICONS\\Trade_Blacksmithing.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Alchemy",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Blacksmithing_Active",
		texture_name_inactive = "Blacksmithing_Inactive",
		button_name = "WT_Blacksmithing",
	},
	
	{name = "Enchanting",
		icon = "Interface\\ICONS\\Trade_Engraving.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Blacksmithing",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Enchanting_Active",
		texture_name_inactive = "Enchanting_Inactive",
		button_name = "WT_Enchanting",
	},
	
	{name = "Engineering",
		icon = "Interface\\ICONS\\Trade_Engineering.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Enchanting",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Engineering_Active",
		texture_name_inactive = "Engineering_Inactive",
		button_name = "WT_Engineering",
	},
	
	{name = "Inscription",
		icon = "Interface\\ICONS\\INV_Inscription_Tradeskill01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Engineering",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Inscription_Active",
		texture_name_inactive = "Inscription_Inactive",
		button_name = "WT_Inscription",
	},
	
	{name = "Jewelcrafting",
		icon = "Interface\\ICONS\\INV_Misc_Gem_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Inscription",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Jewelcrafting_Active",
		texture_name_inactive = "Jewelcrafting_Inactive",
		button_name = "WT_Jewelcrafting",
	},
	
	{name = "Leatherworking",
		icon = "Interface\\ICONS\\Trade_LeatherWorking.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Jewelcrafting",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Leatherworking_Active",
		texture_name_inactive = "Leatherworking_Inactive",
		button_name = "WT_Leatherworking",
	},
	
	{name = "Tailoring",
		icon = "Interface\\ICONS\\Trade_Tailoring.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Leatherworking",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Tailoring_Active",
		texture_name_inactive = "Tailoring_Inactive",
		button_name = "WT_Tailoring",
	},
	
	{name = "Skinning",
		icon = "Interface\\ICONS\\INV_Misc_Pelt_Wolf_01.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Tailoring",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Skinning_Active",
		texture_name_inactive = "Skinning_Inactive",
		button_name = "WT_Skinning",
	},
	
	{name = "Angler",
		icon = "Interface\\ICONS\\Achievement_Profession_Fishing_NorthrendAngler.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Skinning",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Angler_Active",
		texture_name_inactive = "Angler_Inactive",
		button_name = "WT_Angler",
	},
	
	{name = "Bodyguard",
		icon = "Interface\\ICONS\\Ability_HanzandFranz_ChestBump.blp",
		self_anchor = "LEFT",
		relativeto = "WT_Angler",
		parent_anchor = "RIGHT",
		x_offset = 1,
		y_offset = 0,
		active = {},
		inactive = {},
		texture_name_active = "Bodyguard_Active",
		texture_name_inactive = "Bodyguard_Inactive",
		button_name = "WT_Bodyguard",
	},

}


